%bcond_without check

%global goipath         github.com/xaionaro-go/spinlock
%global commit          30e6d1ce68a1e8ec39cc1388b1387626224cf52d

%gometa

%global common_description %{expand:
This package implements sync.Locker as a spinlock.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Spinlock implementation for golang

License:        CC0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
